security:
   providers:
       contao.security.user_provider:
           id: contao.security.user_provider

   firewalls:
       dev:
           pattern: ^/(_(profiler|wdt|error)|css|images|js)/
           security: false

       install:
           pattern: ^/(contao/install|install\.php)
           security: false

       backend:
           request_matcher: contao.routing.backend_matcher
           stateless: true
           simple_preauth:
               authenticator: contao.security.authenticator

       frontend:
           request_matcher: contao.routing.frontend_matcher
           stateless: true
           simple_preauth:
               authenticator: contao.security.authenticator
